Agent Surface
Guarded SQL and product APIs
Local-only by default. Human editing happens in the grid; agents use JSON and SQL over HTTP.
Base URL
http://127.0.0.1:2026
Schema endpoints
GET /v1/tables
GET /v1/tables/:tableId/schema
GET /v1/sql/schema
SQL query
curl -X POST http://127.0.0.1:2026/v1/sql/query \
-H 'Content-Type: application/json' \
-d '{
"sql": "select id, _created_at from t_your_table limit 50",
"params": []
}'
SQL exec
curl -X POST http://127.0.0.1:2026/v1/sql/exec \
-H 'Content-Type: application/json' \
-d '{
"sql": "update t_your_table set c_your_column = ? where id = ?",
"params": ["new value", 1]
}'
JavaScript fetch example
const response = await fetch("http://127.0.0.1:2026/v1/tables");
const data = await response.json();
Limits
- SQL query endpoint allows only single `SELECT` statements.
- SQL exec endpoint allows only single `INSERT`, `UPDATE`, or `DELETE` statements.
- Default row limit is 500 and query timeout is 8 seconds.